## net.i2p.client.streaming
Class I2PSocketFull

    java.lang.Object
      net.i2p.client.streaming.I2PSocketFull

All Implemented Interfaces:
  I2PSocket

    public class I2PSocketFull

extends java.lang.Object
implements I2PSocket

Bridge between the full streaming lib and the I2PSocket API

Nested Class Summary

Nested classes/interfaces inherited from interface net.i2p.client.streaming.I2PSocket
`I2PSocket.SocketErrorListener`

Constructor Summary
`I2PSocketFull(Connection con)`

Method Summary
`void` `close()` Closes the socket if not closed yet
`(package private) void` `destroy()`
`(package private) Connection` `getConnection()`
`java.io.InputStream` `getInputStream()` Return an InputStream to read from the socket.
`I2PSocketOptions` `getOptions()` Retrieve this socket's configuration
`java.io.OutputStream` `getOutputStream()` Return an OutputStream to write into the socket.
`Destination` `getPeerDestination()` Return the destination of the peer.
`long` `getReadTimeout()` How long we will wait blocked on a read() operation.
`Destination` `getThisDestination()` Return the Destination of this side of the socket.
`boolean` `isClosed()`
`void` `setOptions(I2PSocketOptions options)` Configure the socket
`void` `setReadTimeout(long ms)` Define how long we will wait blocked on a read() operation (-1 will make the socket wait forever).
`void` `setSocketErrorListener(I2PSocket.SocketErrorListener lsnr)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### I2PSocketFull

    public I2PSocketFull(Connection con)

Method Detail

### close

    public void close()
               throws java.io.IOException

  Description copied from interface: `I2PSocket`
  Closes the socket if not closed yet

  Specified by:
    `close` in interface `I2PSocket`
  Throws:
    `java.io.IOException`

### getConnection

    Connection getConnection()

### getInputStream

    public java.io.InputStream getInputStream()

  Description copied from interface: `I2PSocket`
  Return an InputStream to read from the socket.

  Specified by:
    `getInputStream` in interface `I2PSocket`

### getOptions

    public I2PSocketOptions getOptions()

  Description copied from interface: `I2PSocket`
  Retrieve this socket's configuration

  Specified by:
    `getOptions` in interface `I2PSocket`

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Description copied from interface: `I2PSocket`
  Return an OutputStream to write into the socket.

  Specified by:
    `getOutputStream` in interface `I2PSocket`
  Throws:
    `java.io.IOException`

### getPeerDestination

    public Destination getPeerDestination()

  Description copied from interface: `I2PSocket`
  Return the destination of the peer.

  Specified by:
    `getPeerDestination` in interface `I2PSocket`

### getReadTimeout

    public long getReadTimeout()

  Description copied from interface: `I2PSocket`
  How long we will wait blocked on a read() operation. This is simply a helper to query the I2PSocketOptions

  Specified by:
    `getReadTimeout` in interface `I2PSocket`
  Returns:
    milliseconds to wait, or -1 if we will wait indefinitely

### getThisDestination

    public Destination getThisDestination()

  Description copied from interface: `I2PSocket`
  Return the Destination of this side of the socket.

  Specified by:
    `getThisDestination` in interface `I2PSocket`

### setOptions

    public void setOptions(I2PSocketOptions options)

  Description copied from interface: `I2PSocket`
  Configure the socket

  Specified by:
    `setOptions` in interface `I2PSocket`

### setReadTimeout

    public void setReadTimeout(long ms)

  Description copied from interface: `I2PSocket`
  Define how long we will wait blocked on a read() operation (-1 will make the socket wait forever). This is simply a helper to adjust the I2PSocketOptions

  Specified by:
    `setReadTimeout` in interface `I2PSocket`

### setSocketErrorListener

    public void setSocketErrorListener(I2PSocket.SocketErrorListener lsnr)

  Specified by:
    `setSocketErrorListener` in interface `I2PSocket`

### isClosed

    public boolean isClosed()

  Specified by:
    `isClosed` in interface `I2PSocket`

### destroy

    void destroy()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`